**`Akhil Babu Narayan Venkatesh`[NAME]** -NL- E–Mail: **`akhilnv0@gmail.com`[EMAILS_EMAIL]** -NL- P h o n e : **`+ 9 1 - 9880909182`[PHONES_PHONE]** -NL- Acheivement-driven professional targeting for assignments in Salesforce technology with an organization of repute -NL- **`P R O F I L E S U M A R Y`[SUMMARY_HEADING]** -NL- 1. 3.5YearsofexperienceinSalesforcedevelopmentinApex,SalesforceLightningexperience,SalesforceMarketing -NL- Cloud -NL- 2. InSalesforce, -NL- 1. -NL- Thorough Hands-on experience inDevelopment, Configuration and Implementation of Salesforce -NL- CRM/force.com applications. -NL- 2. -NL- Experience in building custom application modules using Apex (ClassesandTriggers), Visualforce -NL- technology stacks. -NL- 3. -NL- Experience in profilesandroles management including setting up of organizational hierarchy and -NL- configure permissions for a role based hierarchy model. -NL- 4. -NL- Worked with configuring organization wide defaults at the objects level for customized access. Also -NL- implemented security and sharingrules at object, field, andrecordlevel for different users at -NL- different levels of organization. -NL- 5. -NL- Experience in building custom application modules and extending desired functionality to non- -NL- licensed users through SalesforceSites. -NL- 6. -NL- Experience working with Force.com IDE, DataLoader and salesforce.com Sandbox environments. -NL- 1. -NL- Involvement in RequirementAnalysis, DesignDocument, Build, andUnitTesting. -NL- 2. -NL- Worked on HTML and CSS for various customization requirements. -NL- 1. -NL- Coordination with the Client on daily basis to discuss on requirements & deliverables. -NL- 2. -NL- Coordination with the Onshore and Offshore team. -NL- 3. -NL- Have knowledge on chrome extensions like Salesforce Inspector, Salesforce advanced code -NL- searcher, Change set Helper. -NL- 4. -NL- Did POC on Audit Trialand Modal Popup Re-Size and DragnDrop. -NL- 3. Salesforce LightningExperience, -NL- 1. Completed trailheads on lightningComponents. -NL- 2. Experience creating the lightning component bundles, including javascript controllers and helpers along with -NL- apex class as server side controller. -NL- 3. Capable of developing the application using lightning componentframework. -NL- 4. Deployment -NL- 1. Involved in deployment using Ant migrationtool. -NL- 2. Involved in deployment using Changeset and have knowledge on Source Put tool. -NL- O R G A N I S A T I O N A L E **`X`[EDUCATION_DEGREE]** P E R I E N C E -NL- HCL TechnologiesSept 2016 – tilldate -NL- **`Salesforce Developer`[EMPLOYER_ROLE]** -NL- S K I L S E T S -NL- - -NL- Salesforce Apex , VisualforcePage , Triggers -NL- H I G H L I G H T S -NL- Completed following certifications: -NL- 1. Salesforce CertifiedAdministrator -NL- 2. Salesforce Certified Platform DeveloperI -NL- IT S K I L S -NL- DatabaseTechnology:MYSQL -NL- BuildTools:Ant -NL- OperatingSystem:Windows -NL- ProgrammingLanguage:Java, Apex, Visualforce, Lightning andJavaScript. -NL- CLOUDTechnologies:Salesforce CRM, Salesforce Lightning -NL- **`A C A D E M I C D E T A I L S`[EDUCATION_HEADING]** -NL- Year - Degree - Major Subject - Institution - %Marks -NL- 2014 - **`BCA`[EDUCATION_DEGREE]** - **`Computers`[EDUCATION_COURSE]** - **`MBU`[EDUCATION_INSTITUTE]** - 71 -NL- 2008 - Class **`XII`[EDUCATION_DEGREE]** - **`PCME`[EDUCATION_COURSE]** - **`Jain University`[EDUCATION_INSTITUTE]** - 57 -NL- 2006 - Class **`X`[EDUCATION_DEGREE]**(SSLC) - Others - **`SVES`[EDUCATION_INSTITUTE]** - 74 -NL- (Please refer Annexure for Project) -NL- ANNEXURE -NL- **`P R O J E C T S`[OTHERS_HEADING]** -NL- Project:1 -NL- Title/ Client -NL- **`Cummins Guidanz(Lightning)`[PROJECT_TITLE]** -NL- Team Size -NL- 15 -NL- Project Duration -NL- April 2019 to Till Date -NL- Role -NL- Developer -NL- Project Description: -NL- This Project is basically we developed in Salesforce Classic and now we are moving this into Lightning based -NL- on business requirements. Designs, manufactures, and distributes engines,filtration, and power generation -NL- products. Cummins also services engines and related equipment, including systems, controls, air handling, -NL- filtration, emission control and electrical power generation. -NL- Responsibilities: -NL- 1. -NL- Understanding the business requirements and designing the solution. -NL- 2. -NL- Worked on creating Lightning components based on business requirements. -NL- 1. -NL- Created Test methods for testing and deployment. -NL- 2. -NL- Fixing the Defects and Developing new enhancements. -NL- 3. -NL- Deployment from sandbox to Production environment. -NL- 4. -NL- High level and low level design documents for use cases. -NL- Project:2 -NL- Title/ Client -NL- **`Cummins Guidanz`[PROJECT_TITLE]** -NL- Team Size -NL- 15 -NL- Project Duration -NL- Feb 2018 to April 2019 -NL- Role -NL- Developer -NL- Project Description: -NL- Designs, manufactures, and distributes engines,filtration, and power generation products. Cummins also -NL- services engines and related equipment, including systems, controls, air handling,filtration, emission control -NL- and electrical power generation. -NL- Responsibilities: -NL- 3. -NL- Understanding the business requirements and designing the solution. -NL- 4. -NL- Developing Visualforce pages, controllers. -NL- 5. -NL- Created Test methods for testing and deployment. -NL- 6. -NL- Fixing the Defects and Developing new enhancements. -NL- 7. -NL- Deployment from sandbox to Production environment. -NL- 8. -NL- High level and low level design documents for use cases. -NL- Project 2: -NL- Title/ Client -NL- **`Cummins Service System`[PROJECT_TITLE]** -NL- Team Size -NL- 22 -NL- Project Duration -NL- June 2017 to Feb 2018 -NL- Role -NL- Developer -NL- Project Description: -NL- Designs, manufactures, and distributes engines,filtration, and power generation products. Cummins also -NL- services engines and related equipment, including systems, controls, air handling,filtration, emission control -NL- and electrical power generation. -NL- Responsibilities: -NL- 5. -NL- Understanding the business requirements and designing the solution. -NL- 6. -NL- Involved in identifying, planning and implementing new Salesforce.com features and functions -NL- (workflow, force.com objects, reports, apex code) to meet business requirements. -NL- 7. -NL- Created users, roles and Record permissions to manage sharing access among different users. -NL- 8. -NL- Created workflow rules and defined related tasks, email alerts, andfield updates. -NL- 9. -NL- Created page layouts and search layouts to organize fields, custom links, related lists, and other -NL- components on record pages. -NL- 10. -NL- Implemented pick lists, dependent pick lists, lookups, master detail relationships, validation Rules and -NL- formulafields to the custom objects. -NL- 11. -NL- Designed and Configured Java code for client side validations. -NL- 12. -NL- Developed Various Visual force pages as per organization requirements. -NL- 13. -NL- Used Force.com developer toolkit including Apex Classes, Apex Controllers and Apex Triggers to -NL- develop custom business logic. -NL- 14. -NL- Involved in developing, implementing & testing on the Sandbox environment. -NL- Project 3: -NL- Title/ Client -NL- **`Cummins Service System`[PROJECT_TITLE]** -NL- Team Size -NL- 4 -NL- Project Duration -NL- Sept 2016 to June 2017 -NL- Role -NL- Junior Developer -NL- Project Description: -NL- Designs, manufactures, and distributes engines,filtration, and power generation products. Cummins also -NL- services engines and related equipment, including systems, controls, air handling,filtration, emission control -NL- and electrical power generation. -NL- Responsibilities: -NL- 15. Understanding the business requirements and designing the solution. -NL- 16. Worked as a ROD(Request on Demand) developer for defectfixing and new enhancements. -NL- 17. Migrating thefixed defect artefacts to higher environments. -NL- 18. Created Test methods for testing and deployment. -NL- D E C L A R A T I O N -NL- I hereby declare that the above particulars are true to the best of my knowledge. -NL- Place: Bangalore -NL- Date:**`Akhil Babu Narayan Venkatesh`[NAME]** -NL- 